<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:jsf="http://xmlns.jcp.org/jsf">
<h:head>
	<meta charset="utf-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge"/>    
	<link rel="canonical" href="https://ecompras.me/inicio"/>
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
	<title>
		<ui:insert name="page_title"></ui:insert>
	</title>
	
	<!-- Bootstrap core CSS     -->
	
	<link href="#{request.contextPath}/resources/css/stylesheet.css" rel="stylesheet" />
    
    <link href="#{request.contextPath}/resources/css/bootstrap.min.css" rel="stylesheet" />
    
    <!--  Paper Dashboard core CSS    -->
    <link href="#{request.contextPath}/resources/css/paper-dashboard.css" rel="stylesheet"/>

    <!--  Fonts and icons     -->
    <link href="#{request.contextPath}/resources/css/themify-icons.css" rel="stylesheet"/>
    <!-- Google Maps caixa de pesquisa -->
    <link href="#{request.contextPath}/resources/css/maps_search_box.css" rel="stylesheet"/>
    <link href="#{request.contextPath}/resources/css/selectize.default.css" rel="stylesheet"/>
	
	<link rel="manifest" type="application/json" href="manifest.json"/>
		<!-- Add to home screen for Safari on iOS -->
	  <meta name="apple-mobile-web-app-capable" content="yes"/>
	  <meta name="apple-mobile-web-app-status-bar-style" content="black"/>
	  <meta name="apple-mobile-web-app-title" content="Ecompras.me"/>
	  <link rel="apple-touch-icon" href="launcher-icon-152.png"/>
	  <meta name="theme-color" content="#f4f3ef"/>
	
	  <meta name="msapplication-TileImage" content="launcher-icon-144.png"/>
	  <meta name="msapplication-TileColor" content="#f4f3ef"/>
	  <meta name="description" content="Localize os melhores preços"/>
	  <meta name="author" content="Sanderson Sá"/>
	  <!-- 	  <link rel="manifest" href="/manifest.json" /> -->
		<script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async="async"></script>
		<script>
		  var OneSignal = window.OneSignal || [];
		  OneSignal.push(function() {
		    OneSignal.init({
		      appId: "e3cf5623-0594-4d3c-8c77-48f8d7e96583",
		    });
		  });
		</script>
		<style >
/* 			#scrollable-dropdown-menu .tt-menu {			 		  */
/* 				max-height: 150px; */
/* 	  			overflow-y: auto; */
/* 			} */
 			ul.typeahead.dropdown-menu {
 				max-height: 300px;
/*  				overflow: auto; */
 				overflow: scroll;
 			}
			
/* 			#scrollable-dropdown-menu .tt-menu { */
/* 			   max-height: 150px; */
/* 			   overflow-y: auto; */
/* /* 			   background-color: red; */ */
/* 			 } */
		</style>

</h:head>
<h:body>
	<div class="wrapper">
    	<div class="sidebar" data-background-color="white" data-active-color="danger">
	    <!--
			Tip 1: you can change the color of the sidebar's background using: data-background-color="white | black"
			Tip 2: you can change the color of the active button using the data-active-color="primary | info | success | warning | danger"
		-->
		<div class="logo">
				<h:link outcome="inicio" styleClass="simple-text logo-normal">
            		e-Compras
            	</h:link>
			</div>
    	<div class="sidebar-wrapper">
            <ul class="nav">
                <li jsf:rendered="#{not empty user}">
                    <h:link outcome="importar-nfce" >
            			<i class="ti-menu-alt"></i>
            			<p>Importar NFCe</p>
            			<f:param name="id" value="#{user.id}" />
            		</h:link>
                </li>
                <li jsf:rendered="#{not empty user}">
                    <h:link outcome="minhas-compras-estabelecimentos" >
            			<i class="ti-shopping-cart"></i>
            			<p>Minhas Compras</p>
            			<f:param name="id" value="#{user.id}" />
            		</h:link>
                </li>                
                <li>
                    <h:link outcome="produto-lista" >
            			<i class="ti-shopping-cart-full"></i>
            			<p>Produtos</p>
            		</h:link>
                </li>
                <li>
                    <h:link outcome="lista-compras" >
	            			<i class="ti-check-box"></i>
	            			<p>Listas de Compras</p>
            			</h:link>
                </li>
                <li>
                    <h:link outcome="estabelecimento-lista" >
		            	<i class="ti-home"></i>
		            	<p>Estabelecimentos</p>
		            </h:link>
                </li>
                <li jsf:rendered="#{empty user}">
                    <h:link outcome="usuario-cadastro" >
		            	<i class="ti-user"></i>
		            	<p>Cadastre-se</p>
		            </h:link>
                </li>
                <li jsf:rendered="#{not empty user}">
                    <h:link outcome="usuario-perfil" >
		            	<i class="ti-settings"></i>
		            	<f:param name="id" value="#{user.id}" />
		            	<p>Perfil</p>
		            </h:link>
                </li>
					<li><a
						href="https://mangabit.zendesk.com/hc/pt-br/sections/360000054714-App-NFCe"
						rel="noopener"> <i class="ti-help-alt"></i> Ajuda
					</a></li>
				</ul>
    	</div>
    </div>

    <div class="main-panel">
        <nav class="navbar navbar-default">
        		<h:form>        
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar bar1"></span>
                        <span class="icon-bar bar2"></span>
                        <span class="icon-bar bar3"></span>
                    </button>
                    <a class="navbar-brand" href="#">e-Compras.me</a>
                </div>
                <div class="collapse navbar-collapse">
                    <ul class="nav navbar-nav navbar-right">
						<li jsf:rendered="#{empty user}">
                            <h:link outcome="login" >
		            				<i class="ti-share"></i>
		            				<p>Login</p>
		            			</h:link>
                        </li>
                        <li jsf:rendered="#{not empty user}">
	                        	<h:commandLink  action="#{loginBean.logout()}">
	                        		<i class="ti-share-alt"></i>
			            			<p>Logout</p>
	                        	</h:commandLink>
                        </li>                        
                    </ul>

                </div>
            </div>
            </h:form>
        </nav>
        <div class="content">
            <div class="container-fluid">
            	<ui:insert name="content"></ui:insert>
            </div>
        </div>

        <footer class="footer">
            <div class="container-fluid">
                <div class="copyright pull-right">
                    Copyright 2018, Desenvolvido por <a href="https://www.linkedin.com/in/sanderson-sá-895a7617">Sanderson Sá</a>
                </div>
            </div>
        </footer>

    	</div>
	</div>
</h:body>

	<h:outputScript library="js" name="app.js" />
	<h:outputScript library="js" name="jquery-3.2.1.min.js" target="head" />
	<h:outputScript library="js" name="jquery-ui.min.js" />
    <h:outputScript library="js" name="perfect-scrollbar.min.js" />
    <h:outputScript library="js" name="bootstrap.min.js" />
    
    <h:outputScript library="js" name="moment.min.js" />
    <h:outputScript library="js" name="jquery.validate.min.js" />

		<!-- 	<h:outputScript library="datatables" name="jquery.dataTables.min.js" /> -->
	<h:outputScript  library="js" name="jquery.datatables.js" />
	
	<!-- Paper Dashboard PRO Core javascript and methods for Demo purpose -->
	<h:outputScript library="js" name="paper-dashboard.js" />
	
	<!-- 	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.0/Chart.min.js"></script> -->
	<h:outputScript library="js" name="jquery.autocomplete.js" />
	<h:outputScript library="js" name="jquery.bootstrap.wizard.min.js" />
	
	<h:outputScript library="js" name="nfce.js" />
	<h:outputScript library="js" name="bootstrap3-typeahead.min.js" />
	<h:outputScript library="js" name="selectize.min.js" />

	<script type="text/javascript">
        $(document).ready(function(){
			nfce.initWizard();			
		});
	</script>
</html>